Package bitel.billing.server.contract.bean

# Class ContractModule

java.lang.Object
bitel.billing.server.contract.bean.ContractModule

    @Deprecated
    public class ContractModule
    extends java.lang.Object

Deprecated.
использовать `BGModule`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractModule()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` | Deprecated.
  `int` | `getModuleId()` | Deprecated.
  `java.lang.String` | `getModuleTitle()` | Deprecated.
  `java.lang.String` | `getPackageClient()` | Deprecated.
  `java.lang.String` | `getPackageServer()` | Deprecated.
  `void` | `setContractId​(int contractId)` | Deprecated.
  `void` | `setModuleId​(int moduleId)` | Deprecated.
  `void` | `setModuleTitle​(java.lang.String moduleTitle)` | Deprecated.
  `void` | `setPackageClient​(java.lang.String packageClient)` | Deprecated.
  `void` | `setPackageServer​(java.lang.String packageServer)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractModule

    public ContractModule()
    Deprecated.

- ## Method Details

  - ### getContractId

    public int getContractId()
    Deprecated.

  - ### setContractId

    public void setContractId​(int contractId)
    Deprecated.

  - ### getModuleId

    public int getModuleId()
    Deprecated.

  - ### setModuleId

    public void setModuleId​(int moduleId)
    Deprecated.

  - ### getModuleTitle

    public java.lang.String getModuleTitle()
    Deprecated.

  - ### setModuleTitle

    public void setModuleTitle​(java.lang.String moduleTitle)
    Deprecated.

  - ### getPackageServer

    public java.lang.String getPackageServer()
    Deprecated.

  - ### setPackageServer

    public void setPackageServer​(java.lang.String packageServer)
    Deprecated.

  - ### getPackageClient

    public java.lang.String getPackageClient()
    Deprecated.

  - ### setPackageClient

    public void setPackageClient​(java.lang.String packageClient)
    Deprecated.